Php5.3.x -에서 5.2.x 로 다운그레이드하기

5.2 버젼을 설치하는 분류는 2가지 분류가 있다고 들었습니다.

  1. source.list 를 옛날 리스트로 변경하시어 apt-get 을 할경우 예전 5.2 버젼을 가져와 설치하기
  2. 기존 5.3을 삭제하시고 5.2 버젼 소스를 받아 컴파일하기

하지만 어떻게 해야하는지를 모르겠네요.
하는 방법좀 알려주세요

http://z980.blogspot.com/2009/05/ubuntu … hp-5x.html

[quote="z980":11x3b7y8]http://z980.blogspot.com/2009/05/ubuntu-linux-php-5x.html

소스로 컴파일해서 설치하는 방법입니다만…
5.2.x를 꼭 써야할 이유라도 있으신가요?[/quote:11x3b7y8]

ZendOptimizer 가 5.2.x 까지밖에 지원을 안해서요 ㅠㅠ

[quote="registr":3m99in4p][quote="z980":3m99in4p]http://z980.blogspot.com/2009/05/ubuntu-linux-php-5x.html

소스로 컴파일해서 설치하는 방법입니다만…
5.2.x를 꼭 써야할 이유라도 있으신가요?[/quote:3m99in4p]

ZendOptimizer 가 5.2.x 까지밖에 지원을 안해서요 ㅠㅠ[/quote:3m99in4p]

[code:3m99in4p]
이런 방식으로 다운그레이드가 가능합니다.

sudo aptitude install sun-java6-jdk=6-13-1

패키지 = 버전 의 형태입니다.
apt-get도 상관없습니다만 aptitude를 이용한 것은 하위버전에 필요한 호환 패키지도 한번에 끌어오기 더 편해서입니다.
[/code:3m99in4p]

그리고 해당 다운그레이드 패키지의 정확한 버전을 모를 때에는

apt-cache showpkg sun-java6-jdk

이렇게 하시면 저장소에 저장되어 있는 구버전 패키지의 리스트를 보여줍니다.
해 보시고 문제가 발생하면 답글 달아주세요.